<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Netology - Functions in JavaScript</title>
	<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.css">
	<script src="bootstrap/jquery-1.11.3.js"></script>
	<script src="bootstrap/jquery.ba-throttle-debounce.js"></script>
	<script src="bootstrap/js/bootstrap.js"></script>
	<style type="text/css">
   		.highlight{
   			background: yellow;
   		}
	</style>
</head>
<body>
	<section class="jumbotron">
	    <div class="container">
		    <div class="row">
		    	<h2>Netology</h2>
		        <h3>Java script events. Homework</h3>
		        <h4>Alex Zaikin</h4>
		    </div>
	    </div>
	</section>

	<section class="container">
	  <div class="row">
	  	<div id="buttonList" class="col-sm-12">
	  		<button id="jsButton1" class="btn btn-success">Кнопка 1</button>
	  		<button id="jsButton2" class="btn btn-success">Кнопка 2</button>
	  		<button id="jsButton3" class="btn btn-success">Кнопка 3</button>
	  		<button id="jsButton4" class="btn btn-success">Кнопка 4</button>
	  		<button id="jsButton5" class="btn btn-success">Кнопка 5</button>
	  	</div>
	  </div>
	  <hr>
	</section>

	<section class="container">
	  <div class="row">
	  	<div id="buttonList" class="col-sm-12">
	  		<table class="table table-bordered">
	  			<tr>
	  				<td> <a href="https://google.com">Перейти на google</td>
	  				<td> <a href="https://yandex.com">Перейти на yandex</td>
	  				<td> <a href="https://bing.com">Перейти на bing</td>
	  			</tr>
	  			<tr>
	  				<td> <a href="https://amazon.com">Перейти на amazon</td>
	  				<td> <a href="https://ebay.com">Перейти на ebay</td>
	  				<td> <a href="https://facebook.com">Перейти на facebook</td>
	  			</tr>
	  		</table>
	  	</div>
	  </div>
	  <hr>
	</section>

	<script type="text/javascript">

//1.Есть пять кнопок. Написать одну(!) функцию обработки события нажатия этих кнопок, 
//которая будет выводить alert с сообщением, типа “Была нажата кнопка No”;

var btn = document.querySelector('#buttonList');
btn.onclick = eventAlert;
function eventAlert(eventObj){
	var target = eventObj.target;
	alert('Была нажата '+ $(target).text());
}
    
/*$('.btn').on('click', function(){
   var txt = $(this).text(); 
   alert('Была нажата ' + txt); 
});*/
	

 	

//2.Есть таблица с ссылками. Написать функцию обработки события нажатия на ссылку. Нужно, что бы при нажатии на ссылку, 
//подсвечивалась соответствующая ячейка в таблице, при этом переход по ссылке не должен срабатывать. 
var tbl = document.querySelector('.table');
tbl.onclick = event;
function event(eventObj) {
	var target = eventObj.target;
	while(target != tbl){
		if(target.tagName == 'TD'){
			target.classList.add('highlight');
			eventObj.preventDefault()
			return
		}
		target = target.parentNode;	
	}
}






	</script>
</body>


</html>


